org.apache.jmeter.assertions

## Class CompareAssertionResult

- java.lang.Object
- - org.apache.jmeter.assertions.AssertionResult
  - - org.apache.jmeter.assertions.CompareAssertionResult

All Implemented Interfaces:
  Serializable, Searchable

    public class CompareAssertionResult
    extends AssertionResult

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.jmeter.assertions.AssertionResult

`RESPONSE_WAS_NULL`

### Constructor Summary

Constructors
Constructor and Description
`CompareAssertionResult()` Deprecated. Use the other ctor
`CompareAssertionResult(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToBaseResult(String resultData)`
`void` `addToSecondaryResult(String resultData)`
`String` `getBaseResult()`
`String` `getSecondaryResult()`

### Methods inherited from class org.apache.jmeter.assertions.AssertionResult

`getFailureMessage, getName, getSearchableTokens, isError, isFailure, setError, setFailure, setFailureMessage, setResultForFailure, setResultForNull, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompareAssertionResult

    @Deprecated
    public CompareAssertionResult()

Deprecated. Use the other ctor
For testing only

#### CompareAssertionResult

    public CompareAssertionResult(String name)

### Method Detail

#### addToBaseResult

    public void addToBaseResult(String resultData)

#### addToSecondaryResult

    public void addToSecondaryResult(String resultData)

#### getBaseResult

    public String getBaseResult()

#### getSecondaryResult

    public String getSecondaryResult()